#
# spec file for package SuSEfirewall (Version 5.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         SuSEfirewall
Version:      5.0
Release:      32
Copyright:	GNU GPL
Group:		Networking/Security
Provides:	firewall firewals
Obsoletes:	firewals
#Conflicts:	firewall
Requires:	ipchains lsof iproute2
Autoreqprov:	on
Summary:      The SuSE version of the packet filter ("firewall") setup
Source:		SuSEfirewall-%{version}.tar.bz2
Source1:	rc.config.firewall
Source9:	SuSEfirewall.spec_70
Patch:		SuSEfirewall-%{version}.diff
Patch1:		SuSEfirewall-%{version}.newrc.diff
Patch2:		SuSEfirewall-%{version}.ipsec_doc.diff
Patch3:		SuSEfirewall-%{version}.ipsec.diff
BuildArchitectures: noarch
BuildRoot:	/var/tmp/%{name}-buildroot

%description
The SuSEfirewall can be used to make a host or a network more secure.
You can control, which services should be reachable to the outside 
world and thus reduce the exposure to be compromised by design flaws or vulnerabilities in the daemons
that provide those services.
For all experts out there: this is NOT a complete firewall setup but 
a simple (no, not simple, it tries actually to be clever) packet filter.
But people look for such functionality under the keyword firewall, 
that's why this package is named like this.
Note that there is a package personal-firewall which is meant to just
block all incoming connections, which is normally what you want if
you don't offer any services, e.g. because you use a dial-in internet
connection. Use personal-firewall for such occasions.
Also note that there is the new SuSEfirewall2 which uses the iptables
functionality of the 2.4 kernels. (Note that you can use the old SuSE-
firewall on 2.4 kernels as well.) It's not as well tested as the old
ipchains based SuSEfirewall, of course, but offers some new possibilities
due to the stateful design of the new iptables filtering mechanism.

Authors:
--------
    Marc Heuse <marc@suse.de>

SuSE series: sec

%prep
%setup -n SuSEfirewall-%{version}
%patch -p1
%patch1 -p1
%patch2 -p1
#%patch3 -p1
#mv rc.firewall firewall.rc.config
#chmod +x firewall_init firewall_setup firewall_final

%build
#make

%install
install  -d -o root -g root -m 750 $RPM_BUILD_ROOT/etc/init.d
install  -d -o root -g root -m 750 $RPM_BUILD_ROOT/sbin
#install -d -o root -g root -m 750 $RPM_BUILD_ROOT/sbin/init.d/rc2.d
#install -d -o root -g root -m 750 $RPM_BUILD_ROOT/sbin/init.d/rc3.d
install -d -o root -g root -m 755 $RPM_BUILD_ROOT/usr/sbin
install -d -o root -g root -m 750 $RPM_BUILD_ROOT/var/log
install -d -o root -g root -m 755 $RPM_BUILD_ROOT/var/adm/fillup-templates
install -d -o root -g root -m 755 $RPM_BUILD_ROOT/etc/rc.config.d
install -o root -g root -m 740 SuSEfirewall $RPM_BUILD_ROOT/sbin/
install -o root -g root -m 744 openports $RPM_BUILD_ROOT/usr/sbin/
#install -o root -g root -m 740 SuSEfirewall_init  $RPM_BUILD_ROOT/sbin/init.d/
#install -o root -g root -m 740 SuSEfirewall_setup $RPM_BUILD_ROOT/sbin/init.d/
#install -o root -g root -m 740 SuSEfirewall_final $RPM_BUILD_ROOT/sbin/init.d/
#chmod +x $RPM_BUILD_ROOT/sbin/init.d/SuSEfirewall_*
#ln -sf ../SuSEfirewall_init  $RPM_BUILD_ROOT/sbin/init.d/rc2.d/S04firewall_init
#ln -sf ../SuSEfirewall_setup $RPM_BUILD_ROOT/sbin/init.d/rc2.d/S07firewall_setup
#ln -sf ../SuSEfirewall_final $RPM_BUILD_ROOT/sbin/init.d/rc2.d/S99firewall_final
#ln -sf ../SuSEfirewall_setup $RPM_BUILD_ROOT/sbin/init.d/rc2.d/K51firewall
#ln -sf ../SuSEfirewall_init  $RPM_BUILD_ROOT/sbin/init.d/rc3.d/S04firewall_init
#ln -sf ../SuSEfirewall_setup $RPM_BUILD_ROOT/sbin/init.d/rc3.d/S07firewall_setup
#ln -sf ../SuSEfirewall_final $RPM_BUILD_ROOT/sbin/init.d/rc3.d/S99firewall_final
#ln -sf ../SuSEfirewall_setup $RPM_BUILD_ROOT/sbin/init.d/rc3.d/K51firewall
touch $RPM_BUILD_ROOT/var/log/firewall
chown root.root $RPM_BUILD_ROOT/var/log/firewall
chmod 600 $RPM_BUILD_ROOT/var/log/firewall
install -o root -g root -m 600 firewall.rc.config $RPM_BUILD_ROOT/var/adm/fillup-templates
install -o root -g root -m 600 $RPM_SOURCE_DIR/rc.config.firewall $RPM_BUILD_ROOT/var/adm/fillup-templates
install -o root -g root -m 600 firewall-custom.rc.config $RPM_BUILD_ROOT/etc/rc.config.d/
#touch $RPM_BUILD_ROOT/etc/rc.config.d/firewall-custom.rc.config
touch $RPM_BUILD_ROOT/etc/rc.config.d/firewall.rc.config
#cd ../LSB-scripts
install -o root -g root -m 740 SuSEfirewall_init  $RPM_BUILD_ROOT/etc/init.d/
install -o root -g root -m 740 SuSEfirewall_setup $RPM_BUILD_ROOT/etc/init.d/
install -o root -g root -m 740 SuSEfirewall_final $RPM_BUILD_ROOT/etc/init.d/
ln -sf ../etc/init.d/SuSEfirewall_setup $RPM_BUILD_ROOT/sbin/rcSuSEfirewall

%files
#%config(noreplace) /etc/rc.firewall
%config(noreplace) /etc/rc.config.d/firewall.rc.config
%config(noreplace) /etc/rc.config.d/firewall-custom.rc.config
/sbin/SuSEfirewall
/usr/sbin/openports
%doc SuSEfirewall-technical*
%doc CHANGES TODO LICENCE PROBLEMS EXAMPLES FAQ README.ipsec
%doc firewall.rc.config ip-up
%doc firewall.rc.config.EXAMPLE
%doc $RPM_SOURCE_DIR/SuSEfirewall-%{version}.ipsec.diff
%config /etc/init.d/SuSEfirewall_init
%config /etc/init.d/SuSEfirewall_setup
%config /etc/init.d/SuSEfirewall_final
/sbin/rcSuSEfirewall
%ghost /var/log/firewall
/var/adm/fillup-templates/rc.config.firewall
/var/adm/fillup-templates/firewall.rc.config
#%config /etc/rc.config.d/firewall-custom.rc.config
#%pre
# Not needed as rpm does backup %config files automatically
# Now done once, as some beta could have screwed it up ...
#test -e etc/rc.firewall && cp -pf etc/rc.firewall etc/rc.firewall.rpm_save
#exit 0

%postun
sbin/insserv etc/init.d/

%post
sbin/insserv etc/init.d/SuSEfirewall_init
sbin/insserv etc/init.d/SuSEfirewall_setup
sbin/insserv etc/init.d/SuSEfirewall_final
if test -e etc/syslog.conf -a -z "`grep firewall etc/syslog.conf`"; then
  echo -e '\nkern.*\t\t-/var/log/firewall' >> etc/syslog.conf
  touch var/log/firewall
#  test -x sbin/pidof && kill -HUP `sbin/pidof syslogd`
fi
echo "Updating etc/rc.config ..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.firewall
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.firewall and "
  echo "update by hand."
fi
echo "Updating etc/rc.config.d/firewall.rc.config ..."
test -e etc/rc.config.d/firewall.rc.config || touch etc/rc.config.d/firewall.rc.config
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config.d/firewall.rc.config var/adm/fillup-templates/firewall.rc.config
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config.d/firewall.rc.config and"
  echo "var/adm/fillup-templates/firewall.rc.config"
  echo "and update by hand."
fi
#echo "Updating etc/rc.config.d/firewall-custom.rc.config ..."
#test -e etc/rc.config.d/firewall-custom.rc.config \
#       || touch etc/rc.config.d/firewall-custom.rc.config
#if [ -x bin/fillup ] ; then
#  bin/fillup -q -d = etc/rc.config.d/firewall-custom.rc.config \
#       var/adm/fillup-templates/firewall-custom.rc.config
#  # /bin/fillup only copies the first part of the file (up
#  # until but excluding the first "}". Copy the whole file:
#  cat var/adm/fillup-templates/firewall-custom.rc.config \
#       > etc/rc.config.d/firewall-custom.rc.config
#else
#  echo "ERROR: fillup not found. This should not happen. Please compare"
#  echo "etc/rc.config.d/firewall-custom.rc.config and"
#  echo "var/adm/fillup-templates/firewall-custom.rc.config"
#  echo "and update by hand."
#fi
cat >var/adm/notify/messages/SuSEfirewall_update << _END_
Dear sysadmin,
Congratulations to your update to %{name}-%{version}.
Please note that you may have to reconfigure the firewall, because
 several new options and features are available now.
-> Please edit /etc/rc.config.d/firewall.rc.config as soon as   <-
-> possible, otherwise your system won't be protected, the next <-
-> time SuSEfirewall is started!                                <-
Note that the config file can be found in 
 /etc/rc.config.d/firewall.rc.config
 (used to be /etc/rc.firewall before SuSEfirewall/firewals-2.0).
Documentation about SuSEfirewall may be found in the directory
 %{_docdir}/SuSEfirewall/
Please also note that the package has been renamed from firewals
 (SuSE Linux up to 7.0) to SuSEfirewall (since SuSE Linux 7.1).
 The startup scripts have been renamed as well.
Yours,
	SuSE Security Team
_END_
#echo Documentation can be found in /usr/share/doc/packages/SuSEfirewall
#echo The config file is /etc/rc.config.d/firewall.rc.config
exit 0

%changelog -n SuSEfirewall
* Mon Oct 29 2001 - garloff@suse.de
- More explanation in case ipchains module loading fails: Might
  be caused by somebody using iptables, e.g. personal-fw.
* Wed Oct 17 2001 - garloff@suse.de
- Load ipchains module before testing whether ipchains works.
  (Bug #11841)
* Tue Sep 11 2001 - garloff@suse.de
- Fix typo in /etc/rc.config.d/firewall-custom.rc.config
  (reported by ro)
* Tue Sep 04 2001 - garloff@suse.de
- Disabled my ipsec patch (but provide as %%doc file) as it may
  weaken security against IP spoofing in certain setups.
- bzip2 sources.
- Update to SuSEfirewall-5.0:
  * rp_filter won't be set anymore if ipsec interfaces are found
  * ipmasq tool check fixed (thanks to ckm)
  * spelling in the docs fixed (thanks to ckm)
* Fri Aug 03 2001 - garloff@suse.de
- bash-2.0.3 does not like let N++; replaced by let N+=1.
* Fri Aug 03 2001 - garloff@suse.de
- Handle the typical ipsec configuration: ipsec is considered a
  internal net, but has the external IP address due to the
  FreeS/WAN design (as of 1.91 and before):
  * Don't protect ifaces against their own address as shadowed
  in the ipsec device
  * Disable rp_filter for ipsec and underlaying devices, even in
  presence of KERNEL_SECURITY.
- Added README.ipsec
* Fri Aug 03 2001 - garloff@suse.de
- SuSEfirewall-4.9:
  * Finally fix problem that DNS lookup causing dialup would fail.
* Tue Jul 17 2001 - garloff@suse.de
- Remove double definitions of reload and force-reload from start
  scripts (cosmetical)
- rcSuSEfirewall is now a symlink to the _setup script, so it's
  possible to use it for start and stop.
* Thu Jul 12 2001 - garloff@suse.de
- Added ### BEING/END INIT INFO lines to startup scripts
  (bugzilla #8945)
- Update to 4.8
  * fixed some packet things for the dmz, thanks to mayweg@qint.de!
  * fixed an old and now wrong statement in the docu
  * hope I fixed a problem if the language set for root
  was != english
  * fixed a small bug in ip-up and updated the whole beast
- Update to 4.7
  * added auto service detection for IPv6 services
  * added support for ipsec and other devices without
  a broadcast address
  * if running with a 2.4 kernel, the boot scripts check if
  SuSEfirewall2 is installed and won't run if detected. This
  provides you with optimal security and transparent SuSEfirewall*
  support! :-)
* Tue May 08 2001 - garloff@suse.de
- Prevent SuSEfirewall-4.6 from unloading the ipchains module.
* Tue May 08 2001 - garloff@suse.de
- More LSB fixes: exit status now correct
- Split patches: First does the diffs and makes initscripts LSB
  compliant, second changes them to use new rc_status functions.
- Update tp 4.6:
  * fixed how REJECT / FW_ALLOW_TRACEROUTE works.
  * added a comment to firewall.rc.config that FW_KERNEL_SECURITY
  must be set to "no" if VPNs (FreeSWAN etc.) or equal line
  balancers (combining ISDN lines etc.) are used.
- Update to 4.5:
  * "close" statement failed because of forgotten an test -o
* Tue May 08 2001 - garloff@suse.de
- Update to 4.4: Almost identical to 4.3 with my fixes.
* Fri Mar 09 2001 - garloff@suse.de
- bind9.1 support: IPv4 iface for named is not erroneously closed
  any more (Thx to David Wagner.)
- Better error message in SuSEfirewall check (openports) if ip
  (iproute2) is missing.
* Fri Mar 02 2001 - garloff@suse.de
- Add -n to ipchains -n -L to test for working ipchains to prevent
  nameserver queries.
* Tue Feb 27 2001 - garloff@suse.de
- Update to SuSEfirewall-4.3:
  * Support selective access FW_SERVICES_TRUSTED_ACL
  * bind9 support to FW_SERVICE_DNS (bugzilla #4879)
  * Init script fixes (#5250)
  * bugfix in FW_ALLOW_PING_DMZ
  * ICMP timeexceed rate might not have been set (sm@suse.de)
  * Check for existence of /etc/resolv.conf
  * traceroute and ping to DMZ now defaults to yes
  * Fixed typos in docu
- More init scripts work:
  * Use macros from /etc/rc.status
  * Check for success of loading ipchains module (2.4 kernel only)
  * Check for working ipchains before proceeding
  * SuSEfirewall close is called in runlevel 2-5, the others in 3-5
- firewall.rc.config:
  * Have a comment before every variable (#3256)
  and (re)move comments in the same line (#6507)
- Specfile:
  * Added version numbers of changes in notification (#6412)
  * Added dependency on iproute2 (#6210)
  * fillup does not work on custom config. Therefore directly
  install %%config(noreplace) to /etc/rc.config.d/
* Thu Jan 18 2001 - grimmer@suse.de
- Cosmetic: Changed subject of Update message being sent to root
  from firewals_update to SuSEfirewall_update
* Mon Jan 15 2001 - garloff@suse.de
- Fix bug #5685:
  * Document that SuSEfirewall does not yet support the 2.4
  kernel's iptables, but that it can be operated under 2.4 when
  the ipchains support is loaded.
  * Detect 2.4 kernel and modprobe ipchains (if necessary) in
  SuSEfirewall_init startup script.
* Sun Jan 07 2001 - garloff@suse.de
- Remove firewall.rc.config.EXAMPLE
  (duplicate of firewall.rc.config)
* Fri Dec 29 2000 - draht@suse.de
- imported the most recent version of the etc/ppp/ip-up script
  to comply with the personal-firewall.
  Language style contributions to the fillup template.
  Fixed typo in the initscript (inted instead of inetd in the
  requires section), the actual reason for this change. :-)
* Mon Dec 18 2000 - garloff@suse.de
- Update to SuSEfirewall-4.2:
  * Fix reverse masquerading
  * Allow existence of split-brain DNS
- Docu fixes (#4766)
- Call insserv with script files as param
* Tue Dec 12 2000 - garloff@suse.de
- Mark init.d scripts as %%config.
* Tue Nov 28 2000 - garloff@suse.de
- Added missing start requirements for LSB-scripts
* Tue Nov 28 2000 - garloff@suse.de
- Added missing insserv calls
* Mon Nov 27 2000 - garloff@suse.de
- Rename package to long name SuSEfirewall
- Move init.d scripts to /etc/init.d/
* Thu Nov 23 2000 - garloff@suse.de
- Use LSB compatible scripts.
* Fri Nov 17 2000 - garloff@suse.de
- Yet another init script change:
  The old ones could not differentiate between manua and rc.d
  handling. Fixed.
* Fri Nov 10 2000 - ro@suse.de
- back to Networking/Security (exists now)
* Fri Nov 10 2000 - garloff@suse.de
- Why the **** does group Networking/Security not exist?
  Changed to Networking/Utilities (which is much too vague, IMHO)
* Thu Nov 09 2000 - garloff@suse.de
- Typo fixes in the docu
- Avoid symlinks in init.d directory
- LSB-scripts subdir: 1st guess to create LSB conformant startup
  scripts
* Tue Oct 31 2000 - garloff@suse.de
- SuSEfirewall-4.0:
  * Support hooks for customized rules
  * no warnings about non-active (i)ppp interfaces
  * reverse masquerading fix
  * autodial + dns problem solved
  * rctab compliance
- Specfile changes. Thanks are due to
  Volker Kuhlmann <v.kuhlmann@gmx.de>
* Sat Oct 14 2000 - garloff@suse.de
- Remove mailx and ipchains from needeforbuild
* Mon Sep 18 2000 - garloff@suse.de
- Update to 3.3: Highlights:
  * FAQ
  * Try to avoid ICMP unreachable if possible
  * efficiency optimizations
  * FW_KERNEL_SECURITY hardened
  * UDP masquerading
  * Protocol based policies (->allows VPN)
  * lockfile support
* Fri Jun 30 2000 - garloff@suse.de
- Update to 2.6:
  * DMZ fixes
  * Traceroute filtering works now
  * Optional masquerading restrictions
  * Better docu
  * Samba forwarding support
  * Optional forwarding to internal hosts with masquerading
- Use BuildRoot
* Wed Jun 21 2000 - garloff@suse.de
- Error message now tells to enable START_FW instead of outdated
  FW_START. (bug #2958)
* Mon Mar 13 2000 - garloff@suse.de
- Update to SuSEfirewall-2.1. (Bugfixes ...)
* Tue Feb 22 2000 - garloff@suse.de
- Extra copy command to prevent users to loose their config file,
  even if some buggy beta package was installed.
* Fri Feb 18 2000 - garloff@suse.de
- Fixed path of notification message. (Sorry, Rudi!)
* Fri Feb 18 2000 - garloff@suse.de
- Fixed spec to not move the old to the new cfg file (incompatible)
- Put note about new location of cfg file into the mail
* Tue Feb 15 2000 - garloff@suse.de
- Upgrade to version 2.0
- Moved config file to /etc/rc.config.d/firewall.rc.config
* Thu Dec 16 1999 - ro@suse.de
- fixed comment in /etc/rc.firewall
* Sat Nov 27 1999 - garloff@suse.de
- updated to SuSEfirewall-1.4.
- Due to a typo, the start symlinks were not included into the RPM
* Wed Nov 10 1999 - ro@suse.de
- commented out re-starting of syslog
  (will block installation if no syslog is running yet)
* Wed Oct 27 1999 - ro@suse.de
- removed disabling of old firewall
* Wed Oct 27 1999 - ro@suse.de
- change FW_START to START_FW and put START_FW to rc.config
- use fillup for rc.firewall
- use sed to add a comment to /etc/rc.config for
  old MSQ_START and FW_START Variables
- made package "noarch"
* Tue Oct 26 1999 - garloff@suse.de
- Built package firewals from SuSEfirewall-1.2
- Put everything into /sbin, as it might be important to have it,
  before NFS comes up.
